PTHREAD_KILL(3) | Library Functions Manual | PTHREAD_KILL(3)

# NAME

`pthread_kill` —
send a signal to a specified thread

# LIBRARY

POSIX Threads Library (libpthread, -lpthread)

# SYNOPSIS

`#include <pthread.h>`
`#include <signal.h>`

int
`pthread_kill`(pthread_t thread, int sig);

# DESCRIPTION

The `pthread_kill`() function sends a signal, specified by sig, to a thread, specified by thread. The signal will be handled in the context of thread, but the signal action may alter the process as a whole. If sig is 0, error checking is performed, but no signal is actually sent.

# RETURN VALUES

If successful, `pthread_kill`() returns 0. Otherwise, an error number is returned.

# ERRORS

`pthread_kill`() shall fail if:

[`EINVAL`]
  sig is an invalid or unsupported signal number.
[`ESRCH`]
  thread is an invalid thread ID.

# SEE ALSO

kill(2), sigwait(2), pthread_self(3), raise(3)

# STANDARDS

The function conforms to IEEE Std 1003.1-2001 (“POSIX.1”).

July 9, 2010 | NetBSD 9.5